http://quicksight.{region}.amazonaws.com/accounts/{AwsAccountId}/folders/{FolderId}Creates an empty shared folder.
The ID for the Amazon Web Services account where you want to create the folder.
The ID of the folder.
The name of the folder.
Tags for the folder.
The type of folder. By default, <code>folderType</code> is <code>SHARED</code>.
<p>A structure that describes the principals and the resource-level permissions of a folder.</p> <p>To specify no permissions, omit <code>Permissions</code>.</p>
<p>The Amazon Resource Name (ARN) for the parent folder.</p> <p> <code>ParentFolderArn</code> can be null. An empty <code>parentFolderArn</code> creates a root-level folder.</p>
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://quicksight.{region}.amazonaws.com/accounts/{AwsAccountId}/folders/{FolderId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://quicksight.{region}.amazonaws.com/accounts/{AwsAccountId}/folders/{FolderId}Creates an empty shared folder.
The ID for the Amazon Web Services account where you want to create the folder.
The ID of the folder.
The name of the folder.
Tags for the folder.
The type of folder. By default, <code>folderType</code> is <code>SHARED</code>.
<p>A structure that describes the principals and the resource-level permissions of a folder.</p> <p>To specify no permissions, omit <code>Permissions</code>.</p>
<p>The Amazon Resource Name (ARN) for the parent folder.</p> <p> <code>ParentFolderArn</code> can be null. An empty <code>parentFolderArn</code> creates a root-level folder.</p>
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://quicksight.{region}.amazonaws.com/accounts/{AwsAccountId}/folders/{FolderId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}